Bug 1732195

Summary: when migrate guest with different multifd-channels on src&dst host, migration should fail or give right prompt in qemu.
Product: Red Hat Enterprise Linux Advanced Virtualization Reporter: Li Xiaohui <xiaohli>
Component: qemu-kvmAssignee: Juan Quintela <quintela>
qemu-kvm sub component: Live Migration QA Contact: Li Xiaohui <xiaohli>
Status: ASSIGNED --- Docs Contact:
Severity: unspecified    
Priority: medium CC: chayang, dgilbert, jinzhao, juzhang, lvivier, peterx, virt-maint, xianwang
Version: 8.1   
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Li Xiaohui 2019-07-23 02:04:50 UTC
Description of problem:
when migrate with not same multi-fd channel on src and dst host, src host qemu will wait for migration forever, and execute migrate_cancel, qemu on dst host will get stuck and won't quit by auto.


Version-Release number of selected component (if applicable):
host info:
kernel-4.18.0-108.el8.x86_64 & qemu-img-4.0.0-4.module+el8.1.0+3356+cda7f1ee.x86_64
guest info:
kernel-4.18.0-108.el8.x86_64


How reproducible:
100%


Steps to Reproduce:
1.when migrate with only changing multifd-channels to 4 on src host(multifd-channels is 2 on dst host qemu), I met two situations:
a.on src host qemu, migration status of guest is setup waiting for 20mins. and on dst host qemu, migration status of guest is active(and multifd threads exist on dst host), so strange.
And after 20mins, execute migrate_cancel, qemu on dst host will get stuck and won't quit by auto, what's more, qemu process still runs on dst host.
b.when start migration, qemu on dst host core dump immediately.

2.
3.


Actual results:
as above


Expected results:
when migrate guest with different multifd-channels on src&dst host, migration should fail or give right prompt in qemu.


Additional info:

Comment 2 Juan Quintela 2019-07-29 11:01:49 UTC
This is a feature, not a failure.  You need to setup the same number of channels for both sides.

About migration cancel, there has been a new series upstream that improve that.

Improving the error message upstream, but not important.

Thanks a lot.

Comment 3 Ademar Reis 2020-02-05 23:01:19 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks